c1meanlogw = -0.5*c1sig^2;
c1varlogw = c1sig^2;
c1grrbar = 1/c1beta;
c1grnrbar = c1pibar/c1beta;
c1omegabgg = .99;

%zhat = icdf('norm',defrate,0,1);
c1zhat = norminv(c1defrate,0,1);

c1wbar = exp(c1zhat*c1sig - 0.5*c1sig^2);

% zhat = (log(wbar) + 0.5*sig^2)/sig;
%gw = cdf('norm',zhat-sig,0,1);
c1gw = normcdf(c1zhat-c1sig,0,1);

%dgw = (1/sig)*pdf('norm',zhat,0,1);
c1dgw = (1/c1sig)*normpdf(c1zhat,0,1);

c1d2gw = -((log(c1wbar)+ 0.5*c1sig^2)/(c1wbar*c1sig^2))*c1dgw;

%gross and net share accruing to lenders
c1grosslend = c1wbar*(1-c1defrate) + c1gw;
c1dgrosslend = 1 - c1defrate;
%d2grosslend = -cdf('norm',zhat,0,1)*(1/(sig*wbar));
c1d2grosslend = -normcdf(c1zhat,0,1)*(1/(c1sig*c1wbar));

c1netlend = c1wbar*(1-c1defrate) + (1-c1mu)*c1gw;
c1lamw = (1-c1defrate)/(1- c1defrate - c1mu*c1dgw);
c1dlamw = c1mu*((1-c1defrate)*c1d2gw - c1dgw*c1d2grosslend)/(1-c1defrate - c1mu*c1dgw)^2;
c1vu = (c1dlamw/c1lamw)*(1-c1grosslend)/(1-c1defrate);

% share accruing to entrepeneur
c1grossent = 1- c1grosslend;

% capital to net worth ("rho")
c1shrkn = 1 + (c1netlend/c1grossent)*c1lamw;
c1shrrkr = (c1grossent/c1lamw +  c1netlend)^(-1);
c1grnrkbar = c1shrrkr*c1grnrbar;      % gross nominal return on capital
c1grrkbar = c1grnrkbar/c1pibar;        % gross real return on capital

c1prbar =  (c1grrkbar +  c1delta - 1 - c1tauk*c1deltatax/c1pibar)*(1/(1-c1tauk));  % rental cost of capital
c1shrky = (c1alpha/(1+c1thetap))*(1/c1prbar);
c1shriy = c1delta*c1shrky;
c1omegae = ((1-c1alpha)*(1-c1omegabgg)/(1+c1thetap));

c1shrwen =  c1omegae*c1shrkn/c1shrky;
% survival probability for entrepeneur
c1gamsurv = (1-c1shrwen)/((c1grrkbar*(1-c1mu*c1gw)-c1grrbar)*c1shrkn + c1grrbar);
c1spreadsens = c1vu/(c1shrkn + c1vu*(c1shrkn-1));


c1shrcey = ((1-c1gamsurv)/c1gamsurv)*c1shrent*((1/c1shrkn)*c1shrky - c1shrwen);
c1shrmony = c1mu*c1gw*c1shrrkr*c1grrbar*c1shrky;
c1dshrmony = c1mu*c1shrrkr*c1grrbar*c1shrky*c1dgw*c1grossent/(1-c1defrate);
c1shrcy = 1 - c1shrcey - c1shriy - c1shrmony;
c1shrcpy = c1shrcy - c1shrgy;


c1labshr = (1-c1alpha)/(1+c1thetap);   % labor share of output
% key parameter for fiscal policy 

c1shrtrk = c1shrlumpt;               % per capita transfers to HM agents as fraction of national per capita income
c1shrtrky = c1shrkpop*c1shrtrk;       % total transfers to HM agents as share of GDP

% steady state labor tax rate is taul -- determined by govt
% spending share, transfers, lump-sum tax rate,
%interest rate, and debt/gdp ratio               
c1taul = (c1shrgy + c1shrtrky + c1shrtroy - c1shrlumpt +  (c1grrbar-1)*c1shrdebty)*(1+c1thetap)/(1-c1alpha) - (c1alpha/(1-c1alpha))*(1-c1deltatax/c1prbar)*c1tauk;
c1shrykey = c1shrkpop*(1-c1taul)*c1labshr + c1shrkpop*c1shrtrk - c1shrkpop*c1shrlumpt;  %share of GDP consumed by HM agents
c1shrckey = c1shrykey/c1shrcy;  %share of total private consumption going to HM agents

c1markup   = 1 + c1thetap;
c1gammac   = (1/c1markup+c1etac)/(1+c1etac);
c1rhoc     = c1aggelast*(1+c1etac)*c1gammac/(1+c1aggelast*(1+c1etac));

c1epdc     = (1/(c1gammac-1))*(1/(1+c1etac));   % firm's perceived elasticity of demand for any consumption good i
c1aggepdc = (c1rhoc/(c1gammac-c1rhoc))*(1/(1+c1etac));  % aggregate demand elasticity for domestic consumption  
c1epmc     = c1epdc;
c1aggepmc = c1aggepdc;

c1empshrc = c1omegac;     
                             
c1etai   = c1etac;
c1gammai = c1gammac;
c1rhoi   = c1rhoc;

c1epdi     = (1/(c1gammai-1))*(1/(1+c1etai));   % firm's perceived elasticity of demand for any investment good i
c1aggepdi = (c1rhoi/(c1gammai-c1rhoi))*(1/(1+c1etai));  % aggregate demand elasticity for domestic investment  
c1epmi     = c1epdi;
c1aggepmi = c1aggepdi;

c1empshri = c1omegai;  

% implied trade shares

c1shrmcy = c1empshrc*c1shrcy;
c1shrmiy = c1empshri*c1shriy;
c1shrmy = c1shrmcy + c1shrmiy;
c1adcmi = c1adcmc;           %adjustment cost on imported investment




%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Composite slope params for
%the New Keynesian Phillips
%curve
%%%%%%%%%%%%%%%%%%%%%%%%%%%

c1kappap = 1/( 1-c1etac*(c1epdc/(1+c1epdc)) )*(1-c1psip)*(1-c1psip*c1beta)/c1psip;
c1kappaw = (1-c1psiw)*(1-c1psiw*c1beta)/(c1psiw*(1+c1chi*c1shrlab*(1+c1thetaw)/c1thetaw));


% needs to be country specific
c1kappam = 1/( 1-c1etac*(c1epmc/(1+c1epmc)) ) *(1-c1psim)*(1-c1psim*c1beta)/c1psim;

