c2meanlogw = -0.5*c2sig^2;
c2varlogw = c2sig^2;
c2grrbar = 1/c2beta;
c2grnrbar = c2pibar/c2beta;
c2omegabgg = .99;

%zhat = icdf('norm',defrate,0,1);
c2zhat = norminv(c2defrate,0,1);

c2wbar = exp(c2zhat*c2sig - 0.5*c2sig^2);

% zhat = (log(wbar) + 0.5*sig^2)/sig;
%gw = cdf('norm',zhat-sig,0,1);
c2gw = normcdf(c2zhat-c2sig,0,1);

%dgw = (1/sig)*pdf('norm',zhat,0,1);
c2dgw = (1/c2sig)*normpdf(c2zhat,0,1);

c2d2gw = -((log(c2wbar)+ 0.5*c2sig^2)/(c2wbar*c2sig^2))*c2dgw;

%gross and net share accruing to lenders
c2grosslend = c2wbar*(1-c2defrate) + c2gw;
c2dgrosslend = 1 - c2defrate;
%d2grosslend = -cdf('norm',zhat,0,1)*(1/(sig*wbar));
c2d2grosslend = -normcdf(c2zhat,0,1)*(1/(c2sig*c2wbar));

c2netlend = c2wbar*(1-c2defrate) + (1-c2mu)*c2gw;
c2lamw = (1-c2defrate)/(1- c2defrate - c2mu*c2dgw);
c2dlamw = c2mu*((1-c2defrate)*c2d2gw - c2dgw*c2d2grosslend)/(1-c2defrate - c2mu*c2dgw)^2;
c2vu = (c2dlamw/c2lamw)*(1-c2grosslend)/(1-c2defrate);

% share accruing to entrepeneur
c2grossent = 1- c2grosslend;

% capital to net worth ("rho")
c2shrkn = 1 + (c2netlend/c2grossent)*c2lamw;
c2shrrkr = (c2grossent/c2lamw +  c2netlend)^(-1);
c2grnrkbar = c2shrrkr*c2grnrbar;      % gross nominal return on capital
c2grrkbar = c2grnrkbar/c2pibar;        % gross real return on capital

c2prbar =  (c2grrkbar +  c2delta - 1 - c2tauk*c2deltatax/c2pibar)*(1/(1-c2tauk));  % rental cost of capital
c2shrky = (c2alpha/(1+c2thetap))*(1/c2prbar);
c2shriy = c2delta*c2shrky;
c2omegae = ((1-c2alpha)*(1-c2omegabgg)/(1+c2thetap));

c2shrwen =  c2omegae*c2shrkn/c2shrky;
% survival probability for entrepeneur
c2gamsurv = (1-c2shrwen)/((c2grrkbar*(1-c2mu*c2gw)-c2grrbar)*c2shrkn + c2grrbar);
c2spreadsens = c2vu/(c2shrkn + c2vu*(c2shrkn-1));


c2shrcey = ((1-c2gamsurv)/c2gamsurv)*c2shrent*((1/c2shrkn)*c2shrky - c2shrwen);
c2shrmony = c2mu*c2gw*c2shrrkr*c2grrbar*c2shrky;
c2dshrmony = c2mu*c2shrrkr*c2grrbar*c2shrky*c2dgw*c2grossent/(1-c2defrate);
c2shrcy = 1 - c2shrcey - c2shriy - c2shrmony;
c2shrcpy = c2shrcy - c2shrgy;


c2labshr = (1-c2alpha)/(1+c2thetap);   % labor share of output
% key parameter for fiscal policy 

c2shrtrk = c2shrlumpt;               % per capita transfers to HM agents as fraction of national per capita income
c2shrtrky = c2shrkpop*c2shrtrk;       % total transfers to HM agents as share of GDP

% steady state labor tax rate is taul -- determined by govt
% spending share, transfers, lump-sum tax rate,
%interest rate, and debt/gdp ratio               
c2taul = (c2shrgy + c2shrtrky + c2shrtroy - c2shrlumpt +  (c2grrbar-1)*c2shrdebty)*(1+c2thetap)/(1-c2alpha) - (c2alpha/(1-c2alpha))*(1-c2deltatax/c2prbar)*c2tauk;
c2shrykey = c2shrkpop*(1-c2taul)*c2labshr + c2shrkpop*c2shrtrk - c2shrkpop*c2shrlumpt;  %share of GDP consumed by HM agents
c2shrckey = c2shrykey/c2shrcy;  %share of total private consumption going to HM agents

c2markup   = 1 + c2thetap;
c2gammac   = (1/c2markup+c2etac)/(1+c2etac);
c2rhoc     = c2aggelast*(1+c2etac)*c2gammac/(1+c2aggelast*(1+c2etac));

c2epdc     = (1/(c2gammac-1))*(1/(1+c2etac));   % firm's perceived elasticity of demand for any consumption good i
c2aggepdc = (c2rhoc/(c2gammac-c2rhoc))*(1/(1+c2etac));  % aggregate demand elasticity for domestic consumption  
c2epmc     = c2epdc;
c2aggepmc = c2aggepdc;

c2empshrc = c2omegac;     
                             
c2etai   = c2etac;
c2gammai = c2gammac;
c2rhoi   = c2rhoc;

c2epdi     = (1/(c2gammai-1))*(1/(1+c2etai));   % firm's perceived elasticity of demand for any investment good i
c2aggepdi = (c2rhoi/(c2gammai-c2rhoi))*(1/(1+c2etai));  % aggregate demand elasticity for domestic investment  
c2epmi     = c2epdi;
c2aggepmi = c2aggepdi;

c2empshri = c2omegai;  

% implied trade shares

c2shrmcy = c2empshrc*c2shrcy;
c2shrmiy = c2empshri*c2shriy;
c2shrmy = c2shrmcy + c2shrmiy;
c2adcmi = c2adcmc;           %adjustment cost on imported investment




%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Composite slope params for
%the New Keynesian Phillips
%curve
%%%%%%%%%%%%%%%%%%%%%%%%%%%

c2kappap = 1/( 1-c2etac*(c2epdc/(1+c2epdc)) )*(1-c2psip)*(1-c2psip*c2beta)/c2psip;
c2kappaw = (1-c2psiw)*(1-c2psiw*c2beta)/(c2psiw*(1+c2chi*c2shrlab*(1+c2thetaw)/c2thetaw));


% needs to be country specific
c2kappam = 1/( 1-c2etac*(c2epmc/(1+c2epmc)) ) *(1-c2psim)*(1-c2psim*c2beta)/c2psim;

