function makechart2(titlelist,legendlist,figlabel,yearshock,zdata1,zdata2,zdata3)

figure

titlelist = char(strrep(cellstr(titlelist),'_','.'));

ndsets=3;       % default, changed below as applicable
if nargin==5
    zdata2=nan*zdata1;
    zdata3=nan*zdata1;
    ndsets =1;
elseif nargin == 6
    zdata3 =nan*zdata1;
    ndsets=2;
elseif ((nargin>7) | (nargin <=3))
    error ('makechart takes 4 to 7 arguments')
end

nobs = size(zdata1,1);

% if yearshock>0
xvalues = yearshock+(1:nobs)'/4; % Matteo plot year on x axis
% else
% xvalues = (1:nobs)'; % Matteo plot year on x axis
% end

nvars = size(titlelist,1);
if nvars==1 
    nrows=1;
    ncols = 1;
elseif nvars==2
    nrows =2;
    ncols = 1;
elseif (nvars == 3 | nvars ==4)
    nrows = 2;
    ncols =2;
elseif (nvars==5 | nvars ==6)
    nrows = 3;
    ncols = 2;
elseif (nvars==7 | nvars==8)
    nrows = 4;
    ncols = 2;
elseif nvars>8 & nvars<=9;
    nrows = 3;
    ncols = 3;
elseif nvars>9 & nvars<=12;
    nrows = 5;
    ncols = 2;
elseif nvars>12 & nvars<=15;
    nrows = 5;
    ncols = 3;
else 
    error('too many variables (makechart)')
end

for i = 1:nvars
    subplot(nrows,ncols,i)
    h1=plot(xvalues,zdata1(:,i),'b-',xvalues,zdata2(:,i),'r--',xvalues,zdata3(:,i),'k:');  
    

    [x0 x1 y10 y11] = pickaxes(xvalues,zdata1(:,i));
    [x0 x1 y20 y21] = pickaxes(xvalues,zdata2(:,i));
    [x0 x1 y30 y31] = pickaxes(xvalues,zdata3(:,i));
    grid on
    y0 = min([y10,y20,y30]);
    y1 = max([y11,y21,y31]);
    if y0==y1
        y1=y0+1;
    end
    
    axis([x0 x1 y0 y1])
    set(h1,'linewidth',2);
    if i==1
        legend(legendlist,4)
        text('String',figlabel,'Units','normalized','Position',[1.2 1.24],...
       'FontSize',14,'FontWeight','bold','HorizontalAlignment','center');
    end
 
    %set(gca,'XTick',xtick)
    %set(gca,'XTickLabel',xticklabel)
    
    title(titlelist(i,:));
    
end

% sets printing preferences
%printpref
